Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallLogService Class Reference

Call Log Service provides history entries for calls that have been made or received on the client. More...

`#import <CSCallLogService.h>`

Inherits NSObject.

## Instance Methods
(void) | - resynchronizeCallLogsWithCompletionHandler:
| This operation reloads all call log items from the persistent storage. More...
(void) | - removeCallLogsWithArray:withCompletionHandler:
| Remove call logs provided in array. More...
(void) | - removeAllCallLogsWithCompletionHandler:
| Clears all existing call logs from the cache and persistent local storage. More...
(void) | - markAllCallLogsAsReadWithCompletionHandler:
| Mark all the existing call logs as read. More...
(void) | - addCallLogsWithArray:withCompletionHandler:
| Adds the call logs provided in array. More...

## Properties
id< CSCallLogServiceDelegate > | delegate
| The delegate responsible for handling call log events. More...
NSArray * | callLogs
| Array of CSCallLogItem containing all call logs. More...
CSCapability * | networkCallLogsCapability
CSCapability * | addCallLogsCapability
| CSCapability describing whether call logs can be added by client using. More...
CSCapability * | removeCallLogsCapability
| CSCapability describing whether call logs can be removed using. More...
CSCapability * | markCallLogsAsReadCapability
| CSCapability describing whether call logs can be marked as read using. More...

## Detailed Description

Call Log Service provides history entries for calls that have been made or received on the client.

The full path to the call log file should be provided by setting UserConfiguration.LocalCallLogFilePath to a platform dependent file path. The path should be unique for each user logging in on the client.

Note
  Currently only local call logs are supported. This means that if call events happen when a user is logged off there will be no call logs captured.

## Method Documentation

- (void) addCallLogsWithArray: |  | (NSArray *) | array
withCompletionHandler: |  | (CSCallLogCompletionHandler) | handler

Adds the call logs provided in array.

Completes action with completion handler.

Parameters

  array | The array of call log objects to add.
  handler | A block to be called to report the status of the operation.

- (void) markAllCallLogsAsReadWithCompletionHandler: |  | (CSCallLogCompletionHandler) | handler |

Mark all the existing call logs as read.

Completes action with completion handler.

Parameters

  handler | A block to be called to report the status of the operation.

- (void) removeAllCallLogsWithCompletionHandler: |  | (CSCallLogCompletionHandler) | handler |

Clears all existing call logs from the cache and persistent local storage.

Completes action with competion handler.

Parameters

  handler | A block to be called to report the status of the operation.

- (void) removeCallLogsWithArray: |  | (NSArray *) | array
withCompletionHandler: |  | (CSCallLogCompletionHandler) | handler

Remove call logs provided in array.

The client can select specific call log objects and request the call log service to remove them permanently. Completes action with completion handler.

Parameters

  array | The array of call log objects to remove.
  handler | A block to be called to report the status of the operation.

- (void) resynchronizeCallLogsWithCompletionHandler: |  | (CSCallLogCompletionHandler) | handler |

This operation reloads all call log items from the persistent storage.

The callLogs property contains all call log items loaded from the storage. Completes action with completion handler.

Parameters

  handler | A block to be called to report the status of the operation.

## Property Documentation

- (CSCapability*) addCallLogsCapability
| read nonatomic assign

CSCapability describing whether call logs can be added by client using.

See also
  addCallLogsWithArray:withCompletionHandler. Allowed when
  networkCallLogsCapability is not allowed. A client cannot add call logs when 24x7 Call Journaling is enabled on the server and allowed by
  CSPPMConfiguration.

Returns
  CSCapability object describing whether manual call logs can be added.

- (NSArray*) callLogs
| read nonatomic assign

Array of CSCallLogItem containing all call logs.

- (id<CSCallLogServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling call log events.

- (CSCapability*) markCallLogsAsReadCapability
| read nonatomic assign

CSCapability describing whether call logs can be marked as read using.

See also
  markAllCallLogsAsReadWithCompletionHandler Disabled during network outage or when server does not have ability to provide read status

Returns
  CSCapability describing whether call logs can be marked as read.

- (CSCapability*) networkCallLogsCapability
| read nonatomic assign

Returns
  CSCapability describing whether 24x7 Call Journaling is enabled.

- (CSCapability*) removeCallLogsCapability
| read nonatomic assign

CSCapability describing whether call logs can be removed using.

See also
  removeCallLogsWithArray:withCompletionHandler. Disabled while network outage.

Returns
  CSCapability describing whether call logs can be removed.

The documentation for this class was generated from the following file:

- CSCallLogService.h